/*File Name: UnderArea.h
  Author: Betti Österholz ; Date: 13.08.2003
  System: C++
  
  This is header of the Basisclass of all Vector objects

*/

#ifndef ___UNDERAREA_h__
#define ___UNDERAREA_h__

#include "Vector.h"




class UnderArea:public Vector
{
public:
	UnderArea();
	//standart constructor
	//makes a blank object

	UnderArea(unsigned int noc);
	//parameter constructor
	//makes a UnderArea vector object with noc components all values set to 0
	//pre: the number of components to produce

	UnderArea(const UnderArea& col);
	//copy constructor
	//makes a UnderArea vector object with the same values as the given UnderArea
	//vector
	//pre: the UnderArea vector to copy

	unsigned long getTimeNeed() const;
	//to get a idea how long the object need to evaluate
	//post: a number for how much time the object need to evaluate

	virtual UnderArea* copy();
	//copy this object(means all, even the objects in it)
	//post: a pointer to the copy of this object

	virtual string classnameOf() const;
	//returns the classname of this object as a string
	//post: the classname of this object as a string

};

#endif
